To: linux-m68k@lists.linux-m68k.org
Subject: L68K: Scrolling bug
X-Yow: Yow!  I'm out of work...I could go into shock absorbers...or SCUBA
 GEAR!!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 15 May 1998 10:24:23 +0200
Sender: owner-linux-m68k@phil.uni-sb.de

Hi!

This patch fixes a scrolling bug in ypan_down when scrolling by more than
one line.


Andreas.

----------------------------------------------------------------------
--- linux/drivers/video/fbcon.c.~2~	Thu May  7 19:18:17 1998
+++ linux/drivers/video/fbcon.c	Fri May 15 01:41:58 1998
@@ -654,9 +654,10 @@
 {
     p->yscroll -= count;
     if (p->yscroll < 0) {
-	p->yscroll = p->vrows-conp->vc_rows;
-	p->dispsw->bmove(p, 0, 0, p->yscroll+count, 0, conp->vc_rows-count,
-			 conp->vc_cols);
+	p->dispsw->bmove(p, p->yscroll + count, 0,
+			 p->vrows - conp->vc_rows + count, 0,
+			 conp->vc_rows - count, conp->vc_cols);
+	p->yscroll = p->vrows - conp->vc_rows;
     }
     p->var.xoffset = 0;
     p->var.yoffset = p->yscroll*p->fontheight;
